echo off

rem Adjust hello_ada.gpr for the Ada compiler used.
rem Currently the compiler has been set to AdaCore's GNAT Pro for Android compiler.
rem Make sure the compiler has been added to the PATH variable.

gprbuild -p -P hello_ada.gpr

rem If you use the FreeBSD compiler, simply run:
rem 'arm-android-eabi-gnatmake hello_ada.adb -largs -fPIC -pie' in the src directory.
rem and rename 'hello_ada' to 'libhello_ada.so' and copy it to: 
rem '../app/src/main/jniLibs/arm64-v8a'

pause

